Bug 14091 - Problem after user unsuccesful creation
: Problem after user unsuccesful creation
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/shadow-utils)
: 4.0
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 14167
  Show dependency tree
 
Reported: 2008-01-19 16:15 by
Modified: 2008-01-25 21:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-19 16:15:06
После неудачной попытки создать пользователя невозмножно создать пользователя с
такимже именем.
Steps to Reproduce:
1. Добавляем пользователя, для которого не возможно создать домашнюю
директорию.
Например указываем <несуществующая директория>/homedir - получаем сообщение об
ошибке.
2. Добавляем этого же пользователя со всеми правильными параметрами, имеем
ошибку: "uid уже используется"? но пользователя в системе нет !
Похоже оно заглядывает в /etc/tcb - там есть каталожек относительно
пользователя.
------- Comment #1 From 2008-01-19 16:22:12 -------
Eсли есть каталог в /etc/tcb, а тем более запись в /etc/passwd, то пользователь
существует, даже если у него нет домашнего каталога.

Добавление пользователей происходит при помощи системных утилит, наличие
"недоделанного" пользователя маловероятно. Если же подобное происходит (useradd
на пользователя с существующим домашним каталогом), то надо повесить сообщение
на соотв. пакет.

Такой пользователь должен быть перечислен в общем списке. Его можно удалить.
------- Comment #2 From 2008-01-19 19:28:08 -------
(In reply to comment #1)
> Eсли есть каталог в /etc/tcb, а тем более запись в /etc/passwd, то пользователь
> существует, даже если у него нет домашнего каталога.
он есть в /etc/tcb, но его нет в /etc/passwd

> Добавление пользователей происходит при помощи системных утилит, наличие
> "недоделанного" пользователя маловероятно. Если же подобное происходит (useradd
> на пользователя с существующим домашним каталогом), то надо повесить сообщение
> на соотв. пакет.

или перевесить/переадресовать это сообщение ?

> Такой пользователь должен быть перечислен в общем списке. Его можно удалить.

если бы он был в общем списке - я бы его удалил.
------- Comment #3 From 2008-01-19 21:33:21 -------
Я сам перевешу ;)

Дима, подтверждаю проблему:
После: /usr/sbin/useradd -d /bna/test test
Создаётся /etc/tcb/test, но запись в /etc/passwd отсутствует
------- Comment #4 From 2008-01-19 21:34:40 -------
Дима, надо будет сделать потом обновление для 4.0 ибо пользователи acc,
запросто
могут воспроизвести эту багу ;)
------- Comment #5 From 2008-01-20 02:09:46 -------
Fixed in 4.0.4.1-alt7-2-gb00dc7c